##
## EPITECH PROJECT, 2021
## Makefile
## File description:
## Lib Makefile
##

STRINGSRC 	=	my_string/my_isalpha.c				\
				my_string/my_isnum.c				\
				my_string/my_islower.c				\
				my_string/my_isupper.c				\
				my_string/my_isprintable.c			\
				my_string/my_putchar.c				\
				my_string/my_put_nbr.c				\
				my_string/my_putstr.c				\
				my_string/my_revstr.c				\
				my_string/my_sort_word_array.c		\
				my_string/my_strcapitalize.c		\
				my_string/my_strcat.c				\
				my_string/my_strconcat.c 			\
				my_string/my_strcpy.c				\
				my_string/my_strdup.c				\
				my_string/my_str_isalpha.c			\
				my_string/my_str_islower.c			\
				my_string/my_str_isnum.c			\
				my_string/my_str_isprintable.c		\
				my_string/my_str_isupper.c			\
				my_string/my_strlen.c				\
				my_string/my_strlowcase.c			\
				my_string/my_strncat.c				\
				my_string/my_strcmp.c 				\
				my_string/my_str_startwith.c 		\
				my_string/my_strncpy.c				\
				my_string/my_str_to_word_array.c	\
				my_string/my_strupcase.c 			\
				my_string/my_nbrlen.c 				\
				my_string/my_int_to_str.c 			\
				my_string/my_print_error.c 			\

#PRINTFSRC 	= 	my_printf/my_printf.c 		\
				my_printf/printf_type1.c	\
				my_printf/printf_type2.c  	\
				my_printf/printf_type3.c  	\
				my_printf/printf_bases.c 	\
				my_printf/printf_structg.c	\
				my_printf/printf_cflags1.c	\
				my_printf/printf_cflags2.c	\
				my_printf/printf_tools1.c 	\
				my_printf/printf_tools2.c 	\
				my_printf/printf_errors.c 	\
				my_printf/printf_math.c 	\

MATHSRC	=	 	my_math/my_compute_power_rec.c 		\
				my_math/my_compute_power_recul.c	\
				my_math/my_compute_square_root.c	\
				my_math/my_find_prime_sup.c			\
				my_math/my_getnbr.c					\
				my_math/my_isneg.c					\
				my_math/my_absolute.c 				\
				my_math/my_is_prime.c				\
				my_math/my_sort_int_array.c 		\

SRC 		= 	$(MATHSRC) $(PRINTFSRC) $(STRINGSRC)

OBJ			=	$(SRC:.c=.o)

NAME 		= 	libmy.a

CFLAGS 		= 	-Wall -Wextra -Werror

CPPFLAGS 	= 	-I include/

all: 		$(NAME)

$(NAME): 	$(OBJ)
	ar rc $(NAME) $(OBJ)

clean:
	$(RM) $(OBJ)
	$(RM) $(NAME)

fclean: 	clean
	$(RM) ../$(NAME)

re:			fclean all

.PHONY: all clean fclean re
